# Class BasicComboPopup.ListDataHandler

java.lang.Object
javax.swing.plaf.basic.BasicComboPopup.ListDataHandler

All Implemented Interfaces:
  `EventListener, ListDataListener`

Enclosing class:
  `BasicComboPopup`

public class BasicComboPopup.ListDataHandler extends Object implements ListDataListener
As of 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility. Do not call or override.

The functionality has been migrated into `ItemHandler`.

See Also:
  - `BasicComboPopup.createItemListener()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListDataHandler()`
  Constructs a `ListDataHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `contentsChanged(ListDataEvent e)`
  Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods.
  `void`
  `intervalAdded(ListDataEvent e)`
  Sent after the indices in the index0,index1 interval have been inserted in the data model.
  `void`
  `intervalRemoved(ListDataEvent e)`
  Sent after the indices in the index0,index1 interval have been removed from the data model.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ListDataHandler

    public ListDataHandler()
    Constructs a `ListDataHandler`.

- ## Method Details

  - ### contentsChanged

    public void contentsChanged(ListDataEvent e)
    Description copied from interface: `ListDataListener`
    Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods. For example, this is sent when an item has been replaced. Index0 and index1 bracket the change.
    Specified by:
      `contentsChanged` in interface `ListDataListener`
    Parameters:
      `e` - a `ListDataEvent` encapsulating the event information

  - ### intervalAdded

    public void intervalAdded(ListDataEvent e)
    Description copied from interface: `ListDataListener`
    Sent after the indices in the index0,index1 interval have been inserted in the data model. The new interval includes both index0 and index1.
    Specified by:
      `intervalAdded` in interface `ListDataListener`
    Parameters:
      `e` - a `ListDataEvent` encapsulating the event information

  - ### intervalRemoved

    public void intervalRemoved(ListDataEvent e)
    Description copied from interface: `ListDataListener`
    Sent after the indices in the index0,index1 interval have been removed from the data model. The interval includes both index0 and index1.
    Specified by:
      `intervalRemoved` in interface `ListDataListener`
    Parameters:
      `e` - a `ListDataEvent` encapsulating the event information